<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\master_worker;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\master_worker\BankAccountLists;
use app\adminapi\logic\master_worker\BankAccountLogic;
use app\adminapi\validate\master_worker\BankAccountValidate;
use app\common\logic\MasterWorkerExamineLogic;


/**
 * BankAccount控制器
 * Class BankAccountController
 * @package app\adminapi\controller\master_worker
 */
class BankAccountController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/08 09:41
     */
    public function lists()
    {
        return $this->dataLists(new BankAccountLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/08 09:41
     */
    public function add()
    {
        $params = (new BankAccountValidate())->post()->goCheck('add');
        $result = BankAccountLogic::add($params);
        if (true === $result) {
            MasterWorkerExamineLogic::updateEngineerInformation($params['worker_id']);
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(BankAccountLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/08 09:41
     */
    public function edit()
    {
        $params = (new BankAccountValidate())->post()->goCheck('edit');
        $result = BankAccountLogic::edit($params);
        if (true === $result) {
            MasterWorkerExamineLogic::updateEngineerInformation($params['worker_id']);
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(BankAccountLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/08 09:41
     */
    public function delete()
    {
        $params = (new BankAccountValidate())->post()->goCheck('delete');
        try {
            $worker_ids = BankAccountLogic::getWorkerIds($params);
            BankAccountLogic::delete($params);
            foreach ($worker_ids as $worker_id) {
                MasterWorkerExamineLogic::updateEngineerInformation($worker_id);
            }
            return $this->success('删除成功', [], 1, 1);
        } catch (\Exception $e) {
            return $this->fail('删除失败-'.$e->getMessage());
        }
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/10/08 09:41
     */
    public function detail()
    {
        $params = (new BankAccountValidate())->goCheck('detail');
        $result = BankAccountLogic::detail($params);
        return $this->data($result);
    }


}